Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.view.tiles2
Class SpringBeanPreparerFactory

    java.lang.Object
      org.springframework.web.servlet.view.tiles2.AbstractSpringPreparerFactory
          org.springframework.web.servlet.view.tiles2.SpringBeanPreparerFactory

All Implemented Interfaces:
  org.apache.tiles.preparer.PreparerFactory

    public class SpringBeanPreparerFactory

extends AbstractSpringPreparerFactory

Tiles2 `PreparerFactory` implementation that expects preparer bean names and obtains preparer beans from the Spring ApplicationContext. The full bean creation process will be in the control of the Spring application context in this case, allowing for the use of scoped beans etc.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `SimpleSpringPreparerFactory`

Constructor Summary
`SpringBeanPreparerFactory()`

Method Summary
`protected org.apache.tiles.preparer.ViewPreparer` | `getPreparer(java.lang.String name, WebApplicationContext context)` Obtain a preparer instance for the given preparer name, based on the given Spring WebApplicationContext.

Methods inherited from class org.springframework.web.servlet.view.tiles2.AbstractSpringPreparerFactory
`getPreparer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringBeanPreparerFactory

    public SpringBeanPreparerFactory()

Method Detail

### getPreparer

    protected org.apache.tiles.preparer.ViewPreparer getPreparer(java.lang.String name,
                                                                 WebApplicationContext context)
                                                          throws org.apache.tiles.TilesException

  Description copied from class: `AbstractSpringPreparerFactory`
  Obtain a preparer instance for the given preparer name, based on the given Spring WebApplicationContext.

  Specified by:
    `getPreparer` in class `AbstractSpringPreparerFactory`
  Parameters:
    `name` - the name of the preparer
    `context` - the current Spring WebApplicationContext
  Returns:
    the preparer instance
  Throws:
    `org.apache.tiles.TilesException` - in case of failure

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD